Subject: Re: [TR] TRF is back

From: "Ron L\"Herault" <[email-masked]>
Date: Tue, 26 Mar 2024 15:48:24 -0400

I am glad to see that too.   When I got the message, I decided to get the
uprated yellow fan for my TR-6.   I think it almost matches the body cover.
By 1971, I'd sold my TR-3 bit if I'd known then about TRF, I think I might
have kept it.  I couldn't get things like trunk hinges or enough of the
"snaps" that held the top to the Windscreen from the Triumph dealer near me.

Ron L

-----Original Message-----

Message: 1

Hello,

While on vacation, I received an email from TRF. Looks like they are back
after the fire. ...

** [email-masked] **

Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive